# Fn<> AllowsFastRandomAccess
Determines whether a sequence efficiently supports random access.

Defined in | <seqan/sequence.h>
Signature | `AllowsFastRandomAccess<T>::Type; AllowsFastRandomAccess<T>::VALUE;`

## Template Parameters

`T` | The type to query.

## Return Values

`Type` | `True` if `T` allows for fast random access and `False` otherwise.
`VALUE` | `true` if `T` allows for fast random access and `false` otherwise.

## Detailed Description

For example, String and std::vector allow for fast random access, while std::list does not.

#### Dox Sources

    /*!
     * @mfn AllowsFastRandomAccess
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief Determines whether a sequence efficiently supports random access.
     *
     * @signature AllowsFastRandomAccess<T>::Type;
     * @signature AllowsFastRandomAccess<T>::VALUE;
     *
     * @tparam T The type to query.
     *
     * @return Type <tt>True</tt> if <tt>T</tt> allows for fast random access and
     *              <tt>False</tt> otherwise.
     * @return VALUE <tt>true</tt> if <tt>T</tt> allows for fast random access and
     *               <tt>false</tt> otherwise.
     *
     * For example, String and std::vector allow for fast random access, while
     * std::list does not.
     */